=== debian/changelog ===
kde-baseapps (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)
    - drop 0001-Added-curly-brackets-around-DolphinApplication-creat.patch,
      0002-Fix-incorrect-usage-of-list-iterators.patch and
      0003-Fix-keyboard-focus-handling-after-renaming-items-inl.patch,
      applied upstream

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:22:47 +0100
