## kde-baseapps 4.10.0

=== debian/changelog ===
kde-baseapps (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:35:18 +0000

kde-baseapps (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:03:07 +0000

kde-baseapps (4:4.9.97-0ubuntu1) raring; urgency=low

  [ Philip Muškovac ]
  * New upstream release candidate

  [ Jonathan Riddell ]
  * Add build-dep on libnepomukwidgets-dev

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:27:33 +0100

kde-baseapps (4:4.9.95-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Michal Zajac ]
  * Fixed install files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:20:34 +0000

kde-baseapps (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:42:49 +0000

kde-baseapps (4:4.9.80-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release
  * Remove kubuntu_fix_systemsettings_about_me.diff fixed upstream

  [ Scott Kitterman ]
  * Add pkg-config, libkactivities-dev and nepomuk-core-dev to build-depends
  * Adjust debian/libkonq5abi1.install to only fail to match on soname changes
    and not soversion changes

 -- Scott Kitterman <scott@kitterman.com>  Tue, 20 Nov 2012 14:33:18 -0500

kde-baseapps (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:25:13 +0100

kde-baseapps (4:4.8.3-0r1) raring; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Update installed files.
  * Bump kdelibs5-dev build dependency to version 4:4.8.
  * Bump kde-sc-dev-latest build dependency to version 4:4.8.3.
  * Bump Standards-Version to 3.9.3. No further changes.
  * Remove obsolete libkonq5a breaks/replaces.
  * Update symbols files.

 -- Eshat Cakar <info@eshat.de>  Thu, 08 Mar 2012 18:30:33 +0100

kde-baseapps (4:4.7.2-0r2) raring; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.2.
  * Bump kdelibs5-dev build dependency to version 4:4.7.
  * Rename source package from kdebase to kdebase-apps in order to match
    upstream naming.
  * Rename the following binary packages:
    - kde-baseapps -> kdebase-apps
    - kdebase-bin -> kde-baseapps-bin
    - kdebase-data -> kde-baseapps-data
    - kdebase-dbg -> kde-baseapps-dbg
  * Add the following dummy packages:
    - kdebase-apps
    - kdebase-apps-bin
    - kdebase-dbg
  * Update Vcs-* fields.
  * Konsole isn't shipped in kdebase source package anymore:
    - Disable debian-T-addition.diff (which only changes Konsole).
    - Comment out konsole binary package in debian/control.
  * Remove kwrite package, it was moved to source package kate.
  * Add konq-plugins package.
  * Add libtidy-dev build depend.
  * Update installed files.
  * Update lintian overrides.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 26 Sep 2011 19:44:23 +0200

kdebase (4:4.5.1-0r2) raring; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Point debian/control Vcs fields to the new Git repository.

  [ George Kiagiadakis ]
  * Change my email address in uploaders.
  * Remove the kinfocenter package (moved to kdebase-workspace).
  * Remove the kappfinder package (removed upstream).
  * Refresh patches.
  * Update installed files.
  * Remove unused build dependencies:
    - libsmbclient-dev
    - libusb-dev
    - libraw1394-dev
    - libglu1-mesa-dev
    - libpci-dev
    - libxext-dev
  * Rename libkonq5 to libkonq5a because BC was broken.
  * Update libkonq5a.symbols.
  * Fix some lintian warnings related to package descriptions.
  * Make dolphin suggest kdesdk-dolphin-plugins.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 01 Aug 2010 00:07:45 +0300

kdebase (4:4.2.2-0ubuntu5) raring; urgency=low

  * Added patch kubuntu_10_konq_scans_nsplugins_at_startup.diff:
    - Closes LP: #349728

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 17 Apr 2009 11:00:21 +0200
