=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), libdlrestrictions-dev (>= 0.14),
- kdelibs5-dev (>= 4:4.9.5), libphonon-dev (>= 4:4.3.0),
+ pkg-config, kdelibs5-dev (>= 4:4.10.0), libphonon-dev (>= 4:4.3.0),
  libqimageblitz-dev (>= 1:0.0.4-2), libxkbfile-dev,
- libstreamanalyzer-dev (>= 0.6.3),
- libxrender-dev, zlib1g-dev,
+ libstreamanalyzer-dev (>= 0.6.3), libxrender-dev, zlib1g-dev,
+ nepomuk-core-dev (>= 4:4.10.0), libkactivities-dev (>= 4:4.10.0),
  libxt-dev, pkg-config, libglib2.0-dev, shared-desktop-ontologies (>= 0.8),
- libtidy-dev
+ libtidy-dev, libnepomukwidgets-dev (>= 4:4.9.97)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-baseapps
@@ -288,7 +288,3 @@
 Package: libkonqsidebarplugin4a
 Section: libs
 Architecture: any
-X-Debian-ABI: 0
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libkonqsidebarplugin4
-Breaks: libkonqsidebarplugin4
