## kde-baseapps 4.10.2

=== debian/changelog ===
kde-baseapps (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:40:14 +0200

kde-baseapps (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release
  * Add new doc picture in dolphin.install 
  * Move kdebase-bin transitional package to oldlibs/extra to make lintian
    happy 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:24:08 +0000
