=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), libdlrestrictions-dev (>= 0.14),
- pkg-config, kdelibs5-dev (>= 4:4.10.0), libphonon-dev (>= 4:4.3.0),
+ pkg-config, kdelibs5-dev (>= 4:4.10.2), libphonon-dev (>= 4:4.3.0),
  libqimageblitz-dev (>= 1:0.0.4-2), libxkbfile-dev,
  libstreamanalyzer-dev (>= 0.6.3), libxrender-dev, zlib1g-dev,
- nepomuk-core-dev (>= 4:4.10.0), libkactivities-dev (>= 4:4.10.0),
+ nepomuk-core-dev (>= 4:4.10.2), libkactivities-dev (>= 4:4.10.2),
  libxt-dev, pkg-config, libglib2.0-dev, shared-desktop-ontologies (>= 0.8),
  libtidy-dev, libnepomukwidgets-dev (>= 4:4.9.97)
 Standards-Version: 3.9.3
@@ -76,6 +76,8 @@
 
 Package: kde-baseapps-bin
 Architecture: any
+Section: oldlibs
+Priority: extra
 Depends: ${shlibs:Depends}, ${misc:Depends}, kde-baseapps-data (= ${source:Version})
 Breaks: kdesktop, kcontrol, kdebase-bin (<< 4:4.7.2)
 Replaces: kdebase-bin (<< 4:4.7.2)
@@ -286,5 +288,3 @@
  This package is part of the KDE base applications module.
 
 Package: libkonqsidebarplugin4a
-Section: libs
-Architecture: any
