=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), libdlrestrictions-dev (>= 0.14),
- pkg-config, kdelibs5-dev (>= 4:4.10.2), libphonon-dev (>= 4:4.3.0),
+ pkg-config, kdelibs5-dev (>= 4:4.10.5), libphonon-dev (>= 4:4.3.0),
  libqimageblitz-dev (>= 1:0.0.4-2), libxkbfile-dev,
  libstreamanalyzer-dev (>= 0.6.3), libxrender-dev, zlib1g-dev,
- nepomuk-core-dev (>= 4:4.10.2), libkactivities-dev (>= 4:4.10.2),
+ nepomuk-core-dev (>= 4:4.10.5), libkactivities-dev (>= 4:4.10.5),
  libxt-dev, pkg-config, libglib2.0-dev, shared-desktop-ontologies (>= 0.8),
  libtidy-dev, libnepomukwidgets-dev (>= 4:4.9.97)
 Standards-Version: 3.9.3
