## kde-baseapps 4.11.2

=== debian/changelog ===
kde-baseapps (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:03:56 +0100

kde-baseapps (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:09:34 +0100

kde-baseapps (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:04:24 +0100

kde-baseapps (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:12:09 +0100

kde-baseapps (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release 
    - refresh enable_debianabimanager.diff and enable_dlrestrictions.diff
    - remove docbooks from konqueror.install there were removed upstream

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 19 Jul 2013 12:32:06 +0000

kde-baseapps (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:03:40 +0100

kde-baseapps (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release
    - Refresh enable_debianabimanager.diff, enable_dlrestrictions.diff
    - Update install file
    - Update symbols

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 02:19:40 +0100

kde-baseapps (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Jun 2013 23:40:55 +0100

kde-baseapps (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, remaining changes:
   - kde-baseapps-data replace/breaks old dolphin/konqueror
   - Make konqueror.postinst install with alternates score 30 not 100

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 May 2013 16:08:50 +0000

kde-baseapps (4:4.10.2-1) experimental; urgency=low

  * New upstream release. 

  [ José Manuel Santamaría Lema ]
  * Update patches to make them apply without any offset.
  * Bump kde-sc-dev-latest build dependency to version 4:4.10.1.
  * Bump kdelibs5-dev build dependency to version 4:4.10.
  * Add libkactivities-dev, nepomuk-core-dev and libnepomukwidgets-dev to
    Build-Depends.
  * Update installed files.
  * Add lintian overrides for hardening-no-fortify-functions.

  [ Josep Febrer ]
  * Refresh patches:
    - enable_debianabimanager.diff.
    - enable_dlrestrictions.diff.
  * Update installed files.

  [ Sune Vuorela ]
  * Update uploaders
  * Update my email address

 -- Sune Vuorela <sune@debian.org>  Wed, 03 Apr 2013 18:55:57 +0000
