=== debian/control ===
--- 
+++ 
@@ -3,23 +3,28 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>,
- Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
- José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
-Build-Depends: 
+Uploaders: Sune Vuorela <sune@debian.org>,
+ Fathi Boudra <fabo@debian.org>,
+ Modestas Vainius <modax@debian.org>,
+ George Kiagiadakis <kiagiadakis.george@gmail.com>,
+ Eshat Cakar <info@eshat.de>,
+ Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), libdlrestrictions-dev (>= 0.14),
- pkg-config, kdelibs5-dev (>= 4:4.10.5), libphonon-dev (>= 4:4.3.0),
+ kdelibs5-dev (>= 4:4.11.2), libkactivities-dev (>= 4:4.11.2),
+ nepomuk-core-dev (>= 4:4.11.2), libnepomukwidgets-dev (>= 4:4.11.2),
+ libphonon-dev (>= 4:4.3.0),
  libqimageblitz-dev (>= 1:0.0.4-2), libxkbfile-dev,
- libstreamanalyzer-dev (>= 0.6.3), libxrender-dev, zlib1g-dev,
- nepomuk-core-dev (>= 4:4.10.5), libkactivities-dev (>= 4:4.10.5),
+ libstreamanalyzer-dev (>= 0.6.3),
+ libxrender-dev, zlib1g-dev,
  libxt-dev, pkg-config, libglib2.0-dev, shared-desktop-ontologies (>= 0.8),
- libtidy-dev, libnepomukwidgets-dev (>= 4:4.9.97)
+ libtidy-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-baseapps
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-baseapps
-X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde-baseapps.git
-X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kde-baseapps.git
+X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde-baseapps.git
+X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kde-baseapps.git
 
 Package: kde-baseapps
 Architecture: all
@@ -58,7 +63,8 @@
 Section: utils
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: kdesdk-dolphin-plugins, kfind, ruby, konsole, kompare
+Recommends: ruby
+Suggests: kdesdk-dolphin-plugins
 Description: file manager 
  Dolphin is the default file manager in the KDE Plasma Workspaces, intended
  to be both powerful and easy to use.
@@ -76,8 +82,6 @@
 
 Package: kde-baseapps-bin
 Architecture: any
-Section: oldlibs
-Priority: extra
 Depends: ${shlibs:Depends}, ${misc:Depends}, kde-baseapps-data (= ${source:Version})
 Breaks: kdesktop, kcontrol, kdebase-bin (<< 4:4.7.2)
 Replaces: kdebase-bin (<< 4:4.7.2)
@@ -88,6 +92,8 @@
  This package is part of the KDE base applications module.
 
 Package: kdebase-bin
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, kde-baseapps-bin
 Description: Transitional package for new kde-baseapps
@@ -131,6 +137,8 @@
  kde-baseapps-bin (= ${binary:Version}), install-info
 Suggests: konq-plugins (>= 4:4.1~)
 Recommends: konqueror-nsplugins (= ${binary:Version}), dolphin, kfind
+Breaks: kdebase-data (<< 4:4.7.2), kde-baseapps-data (<< 4:4.8.4)
+Replaces: kdebase-data (<< 4:4.7.2), kde-baseapps-data (<< 4:4.8.4)
 Description: advanced file manager, web browser and document viewer
  Konqueror is the KDE web browser and advanced file manager.
  .
@@ -161,27 +169,8 @@
 
 Package: konq-plugins
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, konqueror (>= 4:4.9.2),
+Depends: ${shlibs:Depends}, ${misc:Depends}, konqueror (>= 4:4.1.0),
  python, libjpeg-progs
-Breaks: kde-baseapps-data (<< 4:4.8.80)
-Replaces: konqueror-plugin-adblock (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-akregator (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-autorefresh (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-babelfish (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-crashes (<< 4:4.4.0),
-          konqueror-plugin-dirfilter (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-domtreeviewer (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-fsview (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-imagerotation (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-khtmlsettings (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-kimgallery (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-minitools (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-rellinks (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-searchbar (<< 4:4.6.1-1ubuntu1),
-          konqueror-plugin-uachanger (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-validators (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-webarchiver (<< 4:4.4.0-2ubuntu1),
-          kde-baseapps-data (<< 4:4.8.80)
 Enhances: konqueror
 Recommends: imagemagick
 Description: plugins for Konqueror, the KDE file/web/document browser
@@ -257,8 +246,8 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libkonq5-templates
-Replaces: libkonq5 (<< 4:4.4.5-3), libkonq5a
-Breaks: libkonq5 (<< 4:4.4.5-3), libkonq5a
+Replaces: libkonq5 (<< 4:4.4.5-3)
+Breaks: libkonq5 (<< 4:4.4.5-3)
 Description: core Konqueror library - support files
  This package contains plugins and data files used by the core Konqueror
  library (libkonq).
@@ -288,3 +277,29 @@
  This package is part of the KDE base applications module.
 
 Package: libkonqsidebarplugin4a
+Section: libs
+Architecture: any
+X-Debian-ABI: 0
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: konqueror sidebar plugin library
+ This package contains base library for Konqueror sidebar plugins.
+ .
+ This package is part of the KDE base applications module.
+
+Package: libkonqsidebarplugin-dev
+Section: libdevel
+Architecture: any
+Depends: libkonqsidebarplugin4a (= ${binary:Version}),
+ ${sameVersionDep:kdelibs5-dev:libkonqsidebarplugin4a}, ${misc:Depends}
+Description: konqueror sidebar plugin library development files
+ This package contains development headers for the Konqueror sidebar plugin
+ library.
+ .
+ This package is part of the KDE base applications module.
+
+Package: plasma-widget-folderview
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: plasma widget showing the content of a folder
+ This package contains the Folder View Plasma widget which is capable of
+ displaying and managing contents of any KDE supported location. It can be used
